variable "groups" {
  description = "List of alert groups with their definitions"
  type = list(object({
    dashboard_alert_group_name  = string
    alert_definitions_path      = string
    dashboard_path_if_exist     = optional(string, null)
    keep_manual_changes         = optional(bool, false)
    prevent_destroy_on_recreate = optional(bool, false)
    alerts_on_datasources_uid   = list(string)
  }))
}

variable "org_id" {
  description = "ID of the Grafana organization"
  type        = string
}
